Subject: Re: [kernel.org users] Re: auto-packing on kernel.org? please?

From: Nick Hengeveld <[email-masked]>
Date: Sun, 16 Oct 2005 14:33:41 -0700

On Sun, Oct 16, 2005 at 09:56:49AM -0700, Junio C Hamano wrote:

> That's what the .idx file is for, except that after you fetch
> the range, you may find you would need something else that the
> object is delta against.

Would it make sense to load the pack indexes for each base up front,
and then fetch individual objects from a pack if they exist in one of
a base's pack indexes?  In such a case, it may not even make sense to
try fetching the object directly first.

What are the circumstances under which it makes more sense to fetch the
whole pack rather than fetching individual objects from it?

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.